Package: groovy.swing.factory

## [Groovy] Class SwingBorderFactory

- groovy.swing.factory.SwingBorderFactory

-     abstract class SwingBorderFactory
      extends AbstractFactory

  Base factory for Swing border nodes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwingBorderFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()` Indicates whether nodes created by this factory accept children.
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)` Handles custom node attributes before default bean processing.
    `` | `void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)` Attaches the current node to its parent when parent-specific handling is required.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### SwingBorderFactory()

  - ### Method Detail

    - #### boolean isLeaf()

      Indicates whether nodes created by this factory accept children.

      Returns:
        true if child nodes are not expected

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

      Handles custom node attributes before default bean processing.

      Parameters:
        `builder` - the factory builder
        `node` - the current node
        `attributes` - the node attributes
      Returns:
        true if default attribute handling should continue

    - #### void setParent(FactoryBuilderSupport builder, Object parent, Object child)

      Attaches the current node to its parent when parent-specific handling is required.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `child` - the child node